Index: code/branches/libraries/src/orxonox/tools/BillboardSet.h
===================================================================
--- code/branches/libraries/src/orxonox/tools/BillboardSet.h	(revision 5633)
+++ code/branches/libraries/src/orxonox/tools/BillboardSet.h	(revision 5634)
@@ -30,10 +30,10 @@
 #define _BillboardSet_H__
 
-#include "OrxonoxPrereqs.h"
+#include "tools/ToolsPrereqs.h"
 #include "util/OgreForwardRefs.h"
 
 namespace orxonox
 {
-    class _OrxonoxExport BillboardSet
+    class _ToolsExport BillboardSet
     {
         public:
Index: code/branches/libraries/src/orxonox/tools/BulletConversions.h
===================================================================
--- code/branches/libraries/src/orxonox/tools/BulletConversions.h	(revision 5633)
+++ code/branches/libraries/src/orxonox/tools/BulletConversions.h	(revision 5634)
@@ -30,5 +30,5 @@
 #define _BulletConversions_H__
 
-#include "OrxonoxPrereqs.h"
+#include "tools/ToolsPrereqs.h"
 
 #include "util/Convert.h"
Index: code/branches/libraries/src/orxonox/tools/CMakeLists.txt
===================================================================
--- code/branches/libraries/src/orxonox/tools/CMakeLists.txt	(revision 5633)
+++ code/branches/libraries/src/orxonox/tools/CMakeLists.txt	(revision 5634)
@@ -12,5 +12,4 @@
 
 ORXONOX_ADD_LIBRARY(tools
-#  FIND_HEADER_FILES
   DEFINE_SYMBOL
     "TOOLS_SHARED_BUILD"
Index: code/branches/libraries/src/orxonox/tools/DynamicLines.h
===================================================================
--- code/branches/libraries/src/orxonox/tools/DynamicLines.h	(revision 5633)
+++ code/branches/libraries/src/orxonox/tools/DynamicLines.h	(revision 5634)
@@ -30,5 +30,5 @@
 #define _DynamicLines_H__
 
-#include "OrxonoxPrereqs.h"
+#include "tools/ToolsPrereqs.h"
 
 #include <vector>
@@ -37,5 +37,5 @@
 namespace Ogre
 {
-    class _OrxonoxExport DynamicLines : public DynamicRenderable
+    class _ToolsExport DynamicLines : public DynamicRenderable
     {
         typedef RenderOperation::OperationType OperationType;
Index: code/branches/libraries/src/orxonox/tools/DynamicRenderable.h
===================================================================
--- code/branches/libraries/src/orxonox/tools/DynamicRenderable.h	(revision 5633)
+++ code/branches/libraries/src/orxonox/tools/DynamicRenderable.h	(revision 5634)
@@ -30,5 +30,5 @@
 #define _DynamicRenderable_H__
 
-#include "OrxonoxPrereqs.h"
+#include "tools/ToolsPrereqs.h"
 
 #include <OgreSimpleRenderable.h>
@@ -37,5 +37,5 @@
 {
     /// Abstract base class providing mechanisms for dynamically growing hardware buffers.
-    class _OrxonoxExport DynamicRenderable : public SimpleRenderable
+    class _ToolsExport DynamicRenderable : public SimpleRenderable
     {
     public:
Index: code/branches/libraries/src/orxonox/tools/Mesh.h
===================================================================
--- code/branches/libraries/src/orxonox/tools/Mesh.h	(revision 5633)
+++ code/branches/libraries/src/orxonox/tools/Mesh.h	(revision 5634)
@@ -30,10 +30,10 @@
 #define _Mesh_H__
 
-#include "OrxonoxPrereqs.h"
+#include "tools/ToolsPrereqs.h"
 #include "util/OgreForwardRefs.h"
 
 namespace orxonox
 {
-    class _OrxonoxExport Mesh
+    class _ToolsExport Mesh
     {
         public:
Index: code/branches/libraries/src/orxonox/tools/ParticleInterface.h
===================================================================
--- code/branches/libraries/src/orxonox/tools/ParticleInterface.h	(revision 5633)
+++ code/branches/libraries/src/orxonox/tools/ParticleInterface.h	(revision 5634)
@@ -30,5 +30,5 @@
 #define _ParticleInterface_H__
 
-#include "OrxonoxPrereqs.h"
+#include "tools/ToolsPrereqs.h"
 
 #include "util/OgreForwardRefs.h"
@@ -42,5 +42,5 @@
 namespace orxonox
 {
-    class _OrxonoxExport ParticleInterface : public TimeFactorListener
+    class _ToolsExport ParticleInterface : public TimeFactorListener
     {
         public:
Index: code/branches/libraries/src/orxonox/tools/Shader.h
===================================================================
--- code/branches/libraries/src/orxonox/tools/Shader.h	(revision 5633)
+++ code/branches/libraries/src/orxonox/tools/Shader.h	(revision 5634)
@@ -30,5 +30,5 @@
 #define _Shader_H__
 
-#include "OrxonoxPrereqs.h"
+#include "tools/ToolsPrereqs.h"
 
 #include <map>
@@ -41,5 +41,5 @@
 namespace orxonox
 {
-    class _OrxonoxExport Shader : public Tickable
+    class _ToolsExport Shader : public Tickable
     {
         typedef std::pair<bool, void*>                  ParameterPointer;
Index: code/branches/libraries/src/orxonox/tools/TextureGenerator.h
===================================================================
--- code/branches/libraries/src/orxonox/tools/TextureGenerator.h	(revision 5633)
+++ code/branches/libraries/src/orxonox/tools/TextureGenerator.h	(revision 5634)
@@ -35,5 +35,5 @@
 #define _TextureGenerator_H__
 
-#include "OrxonoxPrereqs.h"
+#include "tools/ToolsPrereqs.h"
 
 #include <map>
@@ -43,5 +43,5 @@
 namespace orxonox
 {
-    class _OrxonoxExport TextureGenerator
+    class _ToolsExport TextureGenerator
     {
     public:
Index: code/branches/libraries/src/orxonox/tools/Timer.h
===================================================================
--- code/branches/libraries/src/orxonox/tools/Timer.h	(revision 5633)
+++ code/branches/libraries/src/orxonox/tools/Timer.h	(revision 5634)
@@ -61,5 +61,5 @@
 #define _Timer_H__
 
-#include "OrxonoxPrereqs.h"
+#include "tools/ToolsPrereqs.h"
 
 #include "core/Executor.h"
@@ -75,5 +75,5 @@
 
     //! TimerBase is the parent of the Timer class.
-    class _OrxonoxExport TimerBase : public TimeFactorListener
+    class _ToolsExport TimerBase : public TimeFactorListener
     {
         public:
@@ -171,5 +171,5 @@
 
     //! The StaticTimer is a callback-object, calling a static function after a given time-interval.
-    class _OrxonoxExport StaticTimer : public TimerBase
+    class _ToolsExport StaticTimer : public TimerBase
     {
         public:
Index: code/branches/libraries/src/orxonox/tools/ToolsPrereqs.h
===================================================================
--- code/branches/libraries/src/orxonox/tools/ToolsPrereqs.h	(revision 5634)
+++ code/branches/libraries/src/orxonox/tools/ToolsPrereqs.h	(revision 5634)
@@ -0,0 +1,91 @@
+/*
+ *   ORXONOX - the hottest 3D action shooter ever to exist
+ *                    > www.orxonox.net <
+ *
+ *
+ *   License notice:
+ *
+ *   This program is free software; you can redistribute it and/or
+ *   modify it under the terms of the GNU General Public License
+ *   as published by the Free Software Foundation; either version 2
+ *   of the License, or (at your option) any later version.
+ *
+ *   This program is distributed in the hope that it will be useful,
+ *   but WITHOUT ANY WARRANTY; without even the implied warranty of
+ *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ *   GNU General Public License for more details.
+ *
+ *   You should have received a copy of the GNU General Public License
+ *   along with this program; if not, write to the Free Software
+ *   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
+ *
+ *   Author:
+ *      Reto Grieder
+ *   Co-authors:
+ *      ...
+ *
+ */
+
+/**
+  @file
+  @brief Contains all the necessary forward declarations for all classes and structs.
+*/
+
+#ifndef _ToolsPrereqs_H__
+#define _ToolsPrereqs_H__
+
+#include "OrxonoxConfig.h"
+
+//-----------------------------------------------------------------------
+// Shared library settings
+//-----------------------------------------------------------------------
+#if defined(ORXONOX_PLATFORM_WINDOWS) && !defined(ORXONOX_STATIC_BUILD)
+#  ifdef TOOLS_SHARED_BUILD
+#    define _ToolsExport __declspec(dllexport)
+#  else
+#    if defined( __MINGW32__ )
+#      define _ToolsExport
+#    else
+#      define _ToolsExport __declspec(dllimport)
+#    endif
+#  endif
+#elif defined ( ORXONOX_GCC_VISIBILITY )
+#  define _ToolsExport  __attribute__ ((visibility("default")))
+#else
+#  define _ToolsExport
+#endif
+
+//-----------------------------------------------------------------------
+// Forward declarations
+//-----------------------------------------------------------------------
+
+namespace orxonox
+{
+    namespace LODParticle
+    {
+        enum Value
+        {
+            Off = 0,
+            Low = 1,
+            Normal = 2,
+            High = 3
+        };
+    }
+
+    class BillboardSet;
+    class Mesh;
+    class ParticleInterface;
+    class Shader;
+    template <class T>
+    class Timer;
+    class StaticTimer;
+}
+
+namespace Ogre
+{
+    // OGRE Wiki adapted code
+    class DynamicLines;
+    class DynamicRenderable;
+}
+
+#endif /* _ToolsPrereqs_H__ */
Index: code/branches/libraries/src/orxonox/tools/interfaces/Tickable.h
===================================================================
--- code/branches/libraries/src/orxonox/tools/interfaces/Tickable.h	(revision 5633)
+++ code/branches/libraries/src/orxonox/tools/interfaces/Tickable.h	(revision 5634)
@@ -42,5 +42,5 @@
 #define _Tickable_H__
 
-#include "OrxonoxPrereqs.h"
+#include "tools/ToolsPrereqs.h"
 
 #include "core/OrxonoxClass.h"
@@ -50,5 +50,5 @@
 {
     //! The Tickable interface provides a tick(dt) function, that gets called every frame.
-    class _OrxonoxExport Tickable : virtual public OrxonoxClass
+    class _ToolsExport Tickable : virtual public OrxonoxClass
     {
         public:
Index: code/branches/libraries/src/orxonox/tools/interfaces/TimeFactorListener.h
===================================================================
--- code/branches/libraries/src/orxonox/tools/interfaces/TimeFactorListener.h	(revision 5633)
+++ code/branches/libraries/src/orxonox/tools/interfaces/TimeFactorListener.h	(revision 5634)
@@ -30,10 +30,10 @@
 #define _TimeFactorListener_H__
 
-#include "OrxonoxPrereqs.h"
+#include "tools/ToolsPrereqs.h"
 #include "core/OrxonoxClass.h"
 
 namespace orxonox
 {
-    class _OrxonoxExport TimeFactorListener : virtual public OrxonoxClass
+    class _ToolsExport TimeFactorListener : virtual public OrxonoxClass
     {
         friend class GSRoot;
